|
poziția meniului |
---|
Part → Create shape from mesh... |
Ateliere |
Part |
scurtătură |
Nici unul |
Prezentat în versiune |
- |
A se vedea, de asemenea, |
Part ConvertToSolid, Part RefineShape, Part PointsFromMesh |
Introduction
Introducere
Această comandă creează o formă dintr-un mesh object . Obiectele din rețea au capacități de editare limitate în FreeCAD, transformându-le în forme, permit utilizarea lor cu multe alte instrumente în FreeCAD (vezi și Notes).
The inverse operation is Mesh FromPartShape from the Mesh Workbench.
Usage
Utilizare
- Selectați obeictul tip plasă.
- Choose Part →
Create shape from mesh ... from the top menu.
- A popup-menu will ask for the tolerance for sewing shape (default value: 0,1)
- A shape from the mesh object is created as a seperate new object.
Properties
See also: Property editor.
The Part ShapeFromMesh command creates Part Feature objects with no additional properties.
Scripting
Creating a Shape from a Mesh can be done by using the makeShapeFromMesh
method from a Part TopoShape; you need to specify the source mesh and tolerance, and assign the result to a new Part Feature object.
Notice that the mesh must be recalculated before it is converted to a Shape, otherwise there won't be topology information, and the conversion won't be successful.
import FreeCAD as App
import Part
doc = App.ActiveDocument
mesh = doc.addObject("Mesh::Cube", "Mesh")
mesh.recompute()
shape = Part.Shape()
shape.makeShapeFromMesh(mesh.Mesh.Topology, 0.1)
solid = doc.addObject("Part::Feature", "Solid")
solid.Shape = Part.Solid(shape.removeSplitter())
solid.Placement.Base = App.Vector(15, 0, 0)
doc.recompute()
Links
- Edit STL Files In FreeCAD video by AllVisuals4U.
Această pagină este preluată de la https://wiki.freecad.org/Part_ShapeFromMesh